import javax.swing.*;
public class ref_cycle4test
{
public static double Pres(String refrigerant,double T)
{refrigerantEN r=new refrigerantEN(refrigerant);
double a[]=r.property("tx",T,0.0);
double P1=a[0];
return P1;
}
public static void main(String arg[])
{
double m=1.0;  // kg/s çevrim R134a debisi
String refrigerant="R134a";
refrigerantEN r=new refrigerantEN(refrigerant);
double P1=Pres(refrigerant,-5.0);
double P2=Pres(refrigerant,15.0);
double P6=Pres(refrigerant,45.0);
double dT1i=10.0; //degree C
double etaisent2i=0.8;
double etaisent6i=0.8;
double dT7i=3.0; //degree C
double dPevap1i=5.0;
double dPevap2i=5.0;
double dPcomp1i=5.0;
double dPcond1i=5.0;
double dPcond2i=5.0;
double dPcond3i=5.0;
double dh1i=1.0;
double dh2i=1.0;
ref_cycle4 re=new ref_cycle5(String refnamei,double mi,double P4,double P1,double T5,double T6,double T7,double T1,double T9)
re.cycle();
System.out.println(re.toString());
re.plot(-10.0);
}
}